#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	B
%define		pnam	Utils
%include	/usr/lib/rpm/macros.perl
Summary:	B::Utils - helper functions for op tree manipulation
Summary(pl.UTF-8):	B::Utils - funkcje pomocnicze do operacji na drzewie op
Name:		perl-B-Utils
Version:	0.27
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/B/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	340d6461afcec016ce6d0a0ba27290ba
URL:		http://search.cpan.org/dist/B-Utils/
BuildRequires:	perl-ExtUtils-Depends >= 0.302
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These functions make it easier to manipulate the op tree.

%description -l pl.UTF-8
Te funkcje ułatwiają operacje na drzewie op.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/B/Utils.pm
%dir %{perl_vendorarch}/B/Utils
%dir %{perl_vendorarch}/B/Utils/Install
%{perl_vendorarch}/B/Utils/Install/BUtils.h
%{perl_vendorarch}/B/Utils/Install/Files.pm
%{perl_vendorarch}/B/Utils/Install/typemap
%{perl_vendorarch}/B/Utils/OP.pm
%dir %{perl_vendorarch}/auto/B
%dir %{perl_vendorarch}/auto/B/Utils
%attr(755,root,root) %{perl_vendorarch}/auto/B/Utils/Utils.so
%{_mandir}/man3/B::Utils*.3pm*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-B-Utils.git;a=log;h=master

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> e19bfe8
- release 2

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> dc54f3d
- updated to 0.27

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4bddcae
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f904db4
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ac93b8f
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0c2d872
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1c71a7e
- x32 rebuild
- release 5 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 2df5db7
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 74875de
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8479333
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5c143d2
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d3bf9f7
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> ab2b5a3
- up to 0.17

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> aaf8390
- updated to 0.13
- dropped Conflicts with perl-Module-Info

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 762208c
- release 4

* Fri Oct 23 2009 amateja <amateja@pld-linux.org> 5730835
- added missing %dir in %files section
- release 3

* Tue Sep 08 2009 Artur Frysiak <artur@frysiak.net> 2a389eb
- removed noarch
- rel. 2

* Sun Sep 06 2009 amateja <amateja@pld-linux.org> 6066cf4
- updated to 0.08
- added BR perl(ExtUtils::Depends) >= 0.302

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 2f40dcd
- updated to 0.07

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b72675
- release 2

